%define anolis_release 1
%global pkgname hatch-requirements-txt
%global pypi_name hatch_requirements_txt
%global pypi_version 0.4.1
%bcond_with check

Name:           python-%{pkgname}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Hatchling plugin to read project dependencies from requirements

License:        MIT
URL:            https://github.com/repo-helper/hatch-requirements-txt
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
Requires:  python3dist(hatchling) >= 0.21.0
Requires:  python3dist(packaging) >= 21.3

%description
Hatchling plugin to read project dependencies from requirements.txt

%package -n     python3-%{pkgname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Hatchling plugin to read project dependencies from requirements.txt


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pyproject_check_import
%pytest
%endif

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Apr 11 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 0.4.1-1
- Initial package.
